from itertools import chain
import re, json

OUTFILE = 'matno2email.json'

with \
        open('binf1801-flexnow-20170329.csv') as inf, \
        open('bphy1601-flexnow-20170328.csv') as phy, \
        open(OUTFILE, "w") as out:
    out.write(json.JSONEncoder().encode({matno : email for (matno, email) in (re.split(r'[\t;]', line.strip()) for line in chain(inf, phy) if line)})) # i just love one liners
